SALT-CALL(1)

NAME
salt-call - salt-call Documentation

SYNOPSIS

salt-call [options]

DESCRIPTION

The salt-call command is used to run module functions locally on a minion instead of executing them from the master.

OPTIONS

--version
    Print the version of Salt that is running.

--versions-report
    Show program's dependencies and version number, and then exit

-h, --help
    Show the help message and exit

-c CONFIG_DIR, --config-dir=CONFIG_dir
    The location of the Salt configuration directory. This directory contains the configuration files for Salt master and minions. The default location on most systems is /etc/salt.

-g, --grains
    Return the information generated by the Salt grains

-m MODULE_DIRS, --module-dirs=MODULE_DIRS
    Specify an additional directories to pull modules from, multiple directories can be delimited by commas

-d, --doc, --documentation
    Return the documentation for the specified module or for all modules if none are specified

--master=MASTER
    Specify the master to use. The minion must be authenticated with the master. If this option is omitted, the master options from the minion config will be used. If multi masters are set up the first listed master that responds will be used.

--return RETURNER
    Set salt-call to pass the return data to one or many returner interfaces. To use many returner interfaces specify a comma delimited list of returners.

--local
    Run salt-call locally, as if there was no master running.

  Logging Options

Logging options which override any settings defined on the configuration files.

-l LOG_LEVEL, --log-level=LOG_LEVEL
    Console logging log level. One of all, garbage, trace, debug, info, warning, error, quiet. Default: info.

--log-file=LOG_FILE
    Log file path. Default: /var/log/salt/minion.

--log-file-level=LOG_LEVEL_LOGFILE
    Logfile logging log level. One of all, garbage, trace, debug, info, warning, error, quiet. Default: info.

  Output Options

--out
    Pass in an alternative outputter to display the return of data. This outputter can be any of the available outputters: grains, highstate, json, key, overstatestage, pprint, raw, txt, yaml

    Some outputters are formatted only for data returned from specific functions; for instance, the grains outputter will not work for non-grains data.

    If an outputter is used that does not support the data passed into it, then Salt will fall back on the pprint outputter and display the return data using the Python pprint standard library module.

    NOTE: If using --out=json, you will probably want --static as well. Without the static option, you will get a JSON string for each minion. This is due to using an iterative outputter. So if you want to feed it to a JSON parser, use --static as well.

--out-indent OUTPUT_INDENT, --output-indent OUTPUT_INDENT
    Print the output indented by the provided value in spaces. Negative values disable indentation. Only applicable in outputters that support indentation.

--out-file=OUTPUT_FILE, --output-file=OUTPUT_FILE
    Write the output to the specified file.

--no-color
    Disable all colored output

--force-color
    Force colored output

SEE ALSO

salt(1) salt-master(1) salt-minion(1)

AUTHOR
Thomas S. Hatch <thatch45@gmail.com> and many others, please see the Authors file

COPYRIGHT
2013 SaltStack, Inc.